Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bibliography
Class BiblioWebResource

    java.lang.Object
      org.biojava.bibliography.BibRef
          org.biojava.bibliography.BiblioWebResource

    public class BiblioWebResource

extends BibRef

It represents a WWW resource.

Since:
  1.3
Version:
  $Id: BiblioWebResource.java 2812 2003-07-16 16:01:11Z mrp $
Author:
  Martin Senger

Field Summary
`String` | `cost` The cost of accessing the resource.
`int` | `estimatedSize` An estomated size in kilobytes.
`String` | `url` The URL of the resource.

Fields inherited from class org.biojava.bibliography.BibRef
`authors, contributors, coverage, crossReferences, date, description, entryStatus, format, identifier, language, properties, publisher, rights, subject, title, type`

Constructor Summary
`BiblioWebResource()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### url

    public String url

  The URL of the resource.

### estimatedSize

    public int estimatedSize

  An estomated size in kilobytes.

### cost

    public String cost

  The cost of accessing the resource.

Constructor Detail

### BiblioWebResource

    public BiblioWebResource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD